Subject: Re: bug#1107: #1107 - 23.0.60; Emacs --daemon crashes when emacsclient tries to establish a connection on OS X - Emacs bug report logs

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Dec 2008 11:21:34 -0500

> I have not had the chance to refine my fix so I'm attaching my patch here in
> hopes that someone else can work on it.  It uses exec()  instead of fork()
> to launch the child, using a daemon name argument to  differentiate the
> child.  This prevents normal use of the name  argument.  Moreover, the pipe
> connection does not work (not sure why),  so it is disabled.

The reason why the pipe connection doesn't work is pretty simple: the
exec'd daemon doesn't know the pipe's file descriptor number.
I.e. the --daemon arg for the child could look like
"--daemon=\nFD\nNAME" where NAME is the original daemon name, and FD is
the pipe's file descriptor.

        Stefan